## org.hornetq.rest.queue.push.xml
Class DigestAuth

    java.lang.Object
      org.hornetq.rest.queue.push.xml.AuthenticationType
          org.hornetq.rest.queue.push.xml.BasicAuth
              org.hornetq.rest.queue.push.xml.DigestAuth

All Implemented Interfaces:
  java.io.Serializable

    public class DigestAuth

extends BasicAuth

Version:
  $Revision: 1 $
Author:
  Bill Burke
See Also:
  Serialized Form

Constructor Summary
`DigestAuth()`

Method Summary

Methods inherited from class org.hornetq.rest.queue.push.xml.BasicAuth
`getPassword, getUsername, setPassword, setUsername, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DigestAuth

    public DigestAuth()

Copyright © 2013. All Rights Reserved.